Accented characters allowed as DBF columns

2016-09-22 05:34 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee:

Category: Data Provider

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 23527

Description

QGIS desktop accepts accented characters as column names for shapefile dbf, and everything seems to work smoothly.

The same files however are not displayed in QGIS sever when that field is used for classification.

I think they should not be allowed anywhere, but if they are, they should work the same in desktop and server.

History

#1 - 2016-09-22 05:35 AM - Paolo Cavallini

- Subject changed from Accented charachters allowed as DBF columns to Accented characters allowed as DBF columns

#2 - 2016-09-29 03:53 AM - Giovanni Allegri

DBF standard defines ISO8859-1 as the default (and theorically the only accepted) encoding. We should guarantee support at least for this encoding...

#3 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#4 - 2018-02-25 12:44 PM - Paolo Cavallini

- Affected QGIS version changed from 2.16.2 to 3.0.0

- Description updated

Still true in QGIS 3

#5 - 2018-02-25 07:33 PM - Paolo Cavallini

- Resolution set to duplicate

- Status changed from Open to Closed

Duplicate of #13487
